/* vim: set ai et sw=4 ts=4: */

#ifndef __GRAMOPHONE_APPLET_H__
#define __GRAMOPHONE_APPLET_H__

#include <panel-applet.h>
#include <panel-applet-gconf.h>

#include "engine.h"
#include "playlist.h"

G_BEGIN_DECLS

typedef enum {
    GRAMOPHONE_PLAYING,
    GRAMOPHONE_PAUSED,
    GRAMOPHONE_STOPED,
} GramophoneState;

typedef struct _GramophoneApplet GramophoneApplet;
struct _GramophoneApplet{
	PanelApplet *applet;
	Engine *engine;
	Playlist *playlist;

    GramophoneState state;
	GtkTooltips *tips;
//	GtkTreeRowReference *row; /*: now playing */
};

typedef enum {
	PLAY,
	PAUSE,
	RESUME,
	STOP,
	PLAYLIST
} AppletButtonType;

void gramophone_destroy (PanelApplet *applet,
                         GramophoneApplet *gramophone);

void applet_size_changed (PanelApplet *applet,
                          guint size,
                          GtkWidget *widget);

gboolean applet_button_press_hack (GtkWidget *w,
                                   GdkEventButton *event,
                                   gpointer data);
void applet_button_toggle_playlist (GtkToggleButton *button,
                                    GramophoneApplet *gramophone);
void applet_button_turn_on_engine (GtkWidget *button,
                                   GramophoneApplet *gramophone);

extern GramophoneApplet *gramophone;

G_END_DECLS

#endif /* __GRAMOPHONE_APPLET_H__ */
