/* vim: set ai et sw=4 ts=4: */

#ifndef __GRAMOPHONE_PLAYLIST_H__
#define __GRAMOPHONE_PLAYLIST_H__

G_BEGIN_DECLS

typedef struct _Playlist Playlist;
struct _Playlist {
    GtkWidget *window;
    GtkWidget *view;
    GtkTreeModel *model;
    //GtkTreePath *current;
    GtkTreeRowReference *current;
};

enum {
    PLAYLIST_URI_COLUMN = 0,
    PLAYLIST_FILENAME_COLUMN,
    N_COLS
};

typedef enum {
    REMOVE
} PlaylistToolbarButtonType;

typedef enum {
    WEB
} PlaylistDropType;

/* Playlist API */
Playlist*       playlist_new (void);
void            playlist_free       (Playlist *plist);
const gchar*    playlist_current    (Playlist *plist);
const gchar*    playlist_prev       (Playlist *plist);
const gchar*    playlist_next       (Playlist *plist);

/*
GtkWidget *playlist_toolbar_new (GtkWidget *view,
                                 GramophoneApplet *gramophone);
*/

void applet_playlist_button_set_state (GtkWidget *playlist,
                                       GtkToggleButton *button);

G_END_DECLS

#endif /* __GRAMOPHONE_PLAYLIST_H__ */
